Xfinity plant
Xfinity globe
Community Forum

afraid to update to 6.3+ due to problems. Can I just stay with the one I have?

Regular Visitor

afraid to update to 6.3+ due to problems. Can I just stay with the one I have?

I am fine with my current email program. I don't enjoy the constant changes/updates, I think if I'm okay with mine, then I don't need an update. If it is for security purposes, then those should be automatic. I just feel like how many versions do we need, seems like at least once a year. Just when I get comfortable in one versions, they make us 'update' it. I pay for internet and I should get to choose what I receive!!!

"If it ain't broke,  don't fix it!"

Thanx!!